<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>อีกกี่วันเงินเดือนฉันจะออก</title>

    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/normalize/8.0.1/normalize.min.css"
    />
    <link
      href="https://fonts.googleapis.com/css?family=Open+Sans"
      rel="stylesheet"
    />
    <style>
      body {
        background: rgb(144, 107, 224);
      }

      #app {
        text-align: center;
        font-family: 'Open Sans', sans-serif;
        font-size: 5em;
        color: white;

        display: flex;
        align-items: center;
        justify-content: center;
        min-height: 100vh;
      }

      .quote-container {
        display: flex;
        justify-content: center;
        align-items: center;
        transition: 0.3s;
        border: 5px solid white;
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
        border-radius: 24px;
        margin: 32px;
        padding-left: 32px;
        padding-right: 32px;
        padding-top: 8px;
        padding-bottom: 8px;
      }

      .quote-container:hover {
        box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
      }

      .quote {
        margin-top: 16px;
        margin-bottom: 16px;
      }
    </style>
  </head>

  <body>
    <div id="app">
      <div class="container">
        <p>อีกกี่วันเงินเดือนฉันจะออก?</p>
        <p>{{ remainingTime }}</p>
        <div class="quote-container">
          <p class="quote">{{ quote }}</p>
        </div>
      </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2.6.8/dist/vue.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.24.0/moment.min.js"></script>
    <script>
      new Vue({
        el: '#app',
        data: {
          currentDateTime: moment(),
          payrollDateTime: moment().set({
            day: 25,
            hour: 3,
            minute: 0,
            seconds: 0,
          }),
          quote: '',
          quotes: [
            'สู้ ๆ นะ อีกไม่กี่วันเอง',
            'นายต้อง "รอ" ได้',
            'เราจะผ่านเดือนนี้ไปด้วยกันนะ',
            'กินมามาไปเพื่ออนาคตที่สดใสในวันข้างหน้า',
            'เงินเดือนก็เหมือนคนไม่มีใจ อยู่ๆ ก็ไป ไม่บอกลาสักคำ',
            'เงินเดือนจะอยุ่กับเราถึงวันที่ห้า แต่มาม่าจะอยู่กับเราถึงสิ้นเดือน',
            'ยังไม่หมดเดือนสักที เงินเดือนที่มีหมดไปตั้งแต่ต้นเดือนแล้ว',
            'เหงาจัง คิดถึงตังค์ตอนต้นเดือน',
            'รอเงินเดือนมาตั้งนาน ไม่ถึงสามวัน ก็จากไป',
            'ทำงานเพื่อรอเงินเดือน แต่ต้องสะเทือน ได้เงินเดือนแต่เหมือนเงินทอน',
            'ตอนทำงานว่าเหนื่อยแล้ว แต่เห็นเงินเดือนแล้วเหนื่อยกว่า',
            'ถ้ากระเป๋าสตางค์ตุง เหมือนพุง ก็คงดี',
            'เงินเดือนคือมายา บิลตรงหน้าสิของจริง',
            'เงินเดือนก็เหมือนไฟเขียว แค่เสี้ยววินาที ก็หมดแล้ว!',
            'เงินเดือนอ่ะคงที่ มีแต่หนี้ที่ขยันเพิ่ม!',
            'เงินเดือนเท่าเดิม งานเพิ่มเท่าตัว!',
            'โลกแตกเป็นเรื่องโกหก แต่เงินเดือนฉันหมด นั้นเป็นเรื่องจริง',
            'ตัดใจไม่เก่ง เท่าตัดบัตร',
          ],
        },

        computed: {
          remainingTime: function () {
            const remainingTime = moment.duration(
              this.payrollDateTime.diff(this.currentDateTime)
            );

            const days = parseInt(remainingTime.asDays()).toFixed(0);
            const hours = +parseInt(remainingTime.asHours()).toFixed(0) % 24;
            const minutes =
              +parseInt(remainingTime.asMinutes()).toFixed(0) % 60;
            const seconds =
              +parseInt(remainingTime.asSeconds()).toFixed(0) % 60;

            return `${days} วัน ${hours} ชั่วโมง ${minutes} นาที ${seconds} วินาที`;
          },
        },

        methods: {
          changeQuote: function () {
            console.log('it works');
            const randElm = Math.floor(Math.random() * this.quotes.length);
            this.quote = this.quotes[randElm];
          },
        },

        created: function () {
          setInterval(() => {
            this.currentDateTime = moment();
          }, 1000);
          this.changeQuote();
          setInterval(() => {
            this.changeQuote();
          }, 5000);
        },
      });
    </script>
  </body>
</html>
